/**
 * Gets the parameter in each bit of the flag
 *
 * @param  flag First byte of the main header.
 * @returns  The parameters.
 */
export declare class FlagParameters {
    y16BitPrecision: boolean;
    useExperimentExtension: boolean;
    multiFile: boolean;
    zValuesRandom: boolean;
    zValuesUneven: boolean;
    customAxisLabels: boolean;
    xyxy: boolean;
    xy: boolean;
    constructor(flag: number);
}
/**
 * Gets the date encoded in binary in a long number.
 * @param  long Binary date.
 * @return  Date formatted to ISO 8601:2019 convention.
 */
export declare function longToDate(long: number): string;
//# sourceMappingURL=headerUtils.d.ts.map