import { IOBuffer } from 'iobuffer';
import { TheNewHeader } from '../fileHeader';
import { SubHeader, Spectrum } from './shared';
/**
 * Reads the data block of the SPC file.
 *
 * @param buffer spc buffer.
 * @param fileHeader main header.
 * @return Array containing the spectra.
 */
export declare function newDataBlock(buffer: IOBuffer, fileHeader: TheNewHeader): Spectrum[];
export declare function getNewY(y: Float64Array, subHeader: SubHeader, fileHeader: TheNewHeader, buffer: IOBuffer): Float64Array;
//# sourceMappingURL=newDataBlock.d.ts.map