import { IOBuffer } from 'iobuffer';
import { TheOldHeader } from '../fileHeader';
import { SubHeader, Spectrum } from './shared';
/**
 * Reads a file's data block (old SPC format)
 *
 * @param buffer spc buffer.
 * @param fileHeader header.
 * @return Array containing the spectra.
 */
export declare function oldDataBlock(buffer: IOBuffer, fileHeader: TheOldHeader): Spectrum[];
/**
 *
 *
 * @export
 * @param {Float64Array} y
 * @param {SubHeader} subHeader
 * @param {TheOldHeader} fileHeader
 * @param {IOBuffer} buffer
 * @return {*}
 */
export declare function getOldY(y: Float64Array, subHeader: SubHeader, fileHeader: TheOldHeader, buffer: IOBuffer): Float64Array;
//# sourceMappingURL=oldDataBlock.d.ts.map