/**
 * Gives meaning to type codes.
 * @param  xzwType x, z or w type code.
 * @return  String corresponding to the code.
 */
export declare function xzwTypes(xzwType: number): string | number;
/**
 * Gives meaning to y type codes
 * @param  yType y type code
 * @return  String corresponding to the code
 */
export declare function yTypes(yType: number): string;
/**
 * Convert code to experiment type
 * @param code
 * @returns type of experiment carried out.
 */
export declare function experimentSettings(code: number): string;
//# sourceMappingURL=types.d.ts.map